+++
title = "Depth-probe"
weight = 50
+++

# Depth-probe simulation tutorial

Depth-probe simulation is an auxiliary simulation type, which helps to visualize
the total intensity in dependence on the beam incidence angle and the position in
the sample.

## Example

We consider a neutron resonator, composed of one Ti/Pt bilayer.

{{< figscg src="DepthProbeSample.png" width="500" class="center">}}

The beam comes from the Si side.
By convention the beam always comes ''from above''.
Accordingly, we consider Si the ''ambient'' material, placed ''on top'' of the sample.

As a result, we obtain the neutron intensity
as function of depth and incident angle $\alpha_i$.

{{< figscg src="/img/auto/varia/DepthProbe.png" width="500" class="center">}}


## Script

{{< highlightfile file="Examples/varia/DepthProbe.py" >}}
